Dedecms 模板中心

您现在的位置: 首页 > 教程文档 > 织梦技巧 >

DEDECMS安装和访问提示(PHP 5.3 and above) Please XX的解决办法

来源:未知 发布时间:2017-12-29热度:
部分DEDECMS程序在安装或访问的时候提示(PHP 5.3 and above) Please set request_order ini value to include C,G and P (recommended: CGP) in php.ini 这个报错的原因DEDECMS官方解释是由于在PHP最新的版本中增加了一个配置项目request_order,默认值为GP...

部分DEDECMS程序在安装或访问的时候提示 (PHP 5.3 and above) Please set 'request_order' ini value to include C,G and P (recommended: 'CGP') in php.ini

这个报错的原因DEDECMS官方解释是由于在PHP最新的版本中增加了一个配置项目“request_order”,默认值为“GP”,这个存在一定的安全风险。这里我们建议用户将配置更改为“CGP”。

解决办法

1:主机用户在控制面板的PHP版本切换里将php的版本切换为PHP5.2可解决。

2:如主机支持自定义PHP环境可以在控制面板里改为自定义PHP,然后提交售后问题联系帮忙修改PHP参数。

3:VPS以及服务器用户可以自行登陆服务器修改php.ini文件,将request_order = "GP"修改为request_order = "CGP"保存重启WEB服务可解决。

    责任编辑:好织梦